package com.ruoyi.kaohe.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 评分占比
 *
 * @author hs
 * @date 2025-06-23
 */
public class KhPfzb extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    /** 最终分数 */
    @Excel(name = "得分")
    private BigDecimal avgScore;

    /** 评分占比(0-1之间) */
    @Excel(name = "评分占比(0-1之间)")
    private BigDecimal percentage;


    public BigDecimal getPercentage() {
        return percentage;
    }

    public void setPercentage(BigDecimal percentage) {
        this.percentage = percentage;
    }

    public BigDecimal getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(BigDecimal avgScore) {
        this.avgScore = avgScore;
    }
}
